function [out] = run_dynare_param(param_alpha, mod_file, options)
% let's just call dynare with some options and custom parameter alpha

% defaults
if ~exist('options','var')
    options = '' 
end

% keep dynare output
global M_ options_ oo_

% set alpha
global alpha_p
alpha_p = 0.33

% run dynare
eval(['dynare ', mod_file, ' ', options])

% check:
try 
	disp(['But alpha_p is still here: ', num2str(alpha_p)])
catch
	disp('Parameter alpha_p was wiped out, but we are still inside of the function')
end

% save and return
out.M = M_;
out.options = options_;
out.oo = oo_;
return